%define debug_package %{nil}

%define name super_mediator
%define version 1.1.1
%define release 1

Summary:	IPFIX Super Mediator for use with the YAF and SiLK tools
Name:		%{name}
Version:	%{version}
Release:	%{release}%{dist}
Group:		NetSA
License:	GPL
URL:		http://tools.netsa.cert.org/super_mediator/index.html
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Packager:	Emily Sarneso <ecoff@cert.org>
Provides:	super_mediator
Requires:	glib2 >= 2.12.0
Requires:	libfixbuf >= 1.0.0
BuildRequires:	mysql-devel >= 5.0
Requires:	silk-ipset-lib >= 3.0
BuildRequires:	silk-ipset-devel >= 3.0
BuildRequires:	glib2-devel >= 2.12.0
BuildRequires:	libfixbuf-devel >= 1.0.0
BuildRequires:	byacc
BuildRequires:	lzo-devel
%if 0%{?centos} == 5
Patch1:		%{name}-%{version}-patch-001
%endif

%description
super_mediator is an IPFIX mediator for use with the YAF and SiLK tools. It collects and filters YAF output data to various IPFIX collecting processes and/or csv files. super_mediator can be configured to perform de-duplication of DNS resource records as exported by YAF. 

%prep
%setup -q -n %{name}-%{version}
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
./configure --prefix=%{_prefix}  --with-mysql --with-skipset
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
install --mode=0755 etc/init.d/super_mediator $RPM_BUILD_ROOT%{_sysconfdir}/init.d/        
install --mode=0644 etc/super_mediator.conf $RPM_BUILD_ROOT%{_sysconfdir} 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS README
%{_bindir}/super_mediator
%{_bindir}/super_table_creator
%{_mandir}/*
%config(noreplace) %{_sysconfdir}/super_mediator.conf
%attr(755,root,root) %{_sysconfdir}/init.d/super_mediator
%{_includedir}/*

%changelog
* Wed Jul  1 2015 Lawrence R. Rogers <lrr@cert.org> - 1.1.1-1
* Release 1.1.1-1
	1.1.1, 2015-Jul-1
		Bug Fix for Custom Field List Text Exporters
		Bug Fix for configuring SSL De-duplication MAX_HIT_COUNT and FLUSH_TIME
		super_table_creator will now create de-duplication tables
		Documentation updates

* Fri Jun 26 2015 Lawrence R. Rogers <lrr@cert.org> - 1.1.0-1
* Release 1.1.0-1
	1.1.0 - 2015-06-26
		Requires libfixbuf 1.4.0 or greater
		SSL Certificate De-duplication
		Advanced SSL field export configuration
		Configurable De-duplication of any DPI Fields
		JSON file export
		Export of unnested DNS Resource Records
		New option to only export DNS Responses
		Add the ability to rotate and compress logs given a valid file directory
		New option to de-duplicate on only particular DNS resource record types
		MULTI_FILES CSV format change
		MySQL schema change for MULTI_FILES
		Bug Fix for Spread Collectors when daemon terminates
		Bug Fixes

	1.0.2 - 2014-10-15
		Bug Fix for Collectors

	1.0.1 - 2014-08-12
		Add support for escaping control characters and the delimiter character in DPI strings
		Bug Fix for DNP 3.0 text export
		Other Minor Bug Fixes.

	1.0.0 - 2014-06-13
		Add support for multiple collectors
		Add support for naming collectors and exporters
		Collector name included in default flow text export

	0.4.0 - 2014-03-04
		Added SCADA protocol and RTP DPI collection
		Added MySQL automatic reconnection capability
		Syslog logging capability
		Added ability to collect, print, and export MPLS labels
		Added ability to collect, print, and export Type of Service fields
		Incoming IPFIX records that use Delta counters will export the same fields
		Bug Fix for variable redeclaration on some operating systems
		Bug Fix for DNS deduplication timeout
		Other Bug Fixes


* Wed Dec 10 2014 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-8
* Release 0.3.0-8
	New release linked with libfixbuf 1.6.2

* Wed Oct 15 2014 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-7
* Release 0.3.0-7
	New release linked with libfixbuf 1.6.1

* Tue Sep 30 2014 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-6
* Release 0.3.0-6
	New release linked with libfixbuf 1.6.0

* Wed Aug 20 2014 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-5
* Release 0.3.0-5
	New release linked with libfixbuf 1.5.0 - CentOS 6 x86_64 omitted by accident.
	This release fixes that and simply recompiles super_mediator for all other 
	supported releases and architecture for consistency.

* Fri Aug 8 2014 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-4
* Release 0.3.0-4
	New release linked with libfixbuf 1.5.0

* Mon Jan 13 2014 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-3
* Release 0.3.0-3
	Patch for Fedora 20

* Fri Dec 13 2013 Lawrence R. Rogers <lrr@cert.org> - 0.2.2-2
* Release 0.2.2-2
	New release linked with libfixbuf 1.4.0

* Fri May 03 2013 Lawrence R. Rogers <lrr@cert.org> - 0.3.0-1
* Release 0.3.0-1
	Added the ability to define new information elements for collection
	New filter fields: INGRESS and EGRESS
	Added the ability to "AND" filters
	Added new YAF 2.4.0 information elements
	Bug Fixes

* Tue Mar 12 2013 Lawrence R. Rogers <lrr@cert.org> - 0.2.2-1
* Release 0.2.2-1
	New release linked with libfixbuf 1.3.0

* Tue Feb 26 2013 Lawrence R. Rogers <lrr@cert.org> - 0.2.2-0
* Release 0.2.2-0
	Bug Fix for GLib version 2.32 or greater
	Added statistics timeout option for logging super_mediator stats
	Other Bug Fixes

* Fri Feb 8 2013 Lawrence R. Rogers <lrr@cert.org> - 0.2.1-1
* Release 0.2.1-1
	Added Custom DPI Field List for Text Exporters
	Added --fields switch to command line arguments
	Bug Fix for Time output on some platforms
	Bug Fix for SSL/TLS Text Export

* Wed Jan 16 2013 Lawrence R. Rogers <lrr@cert.org> - 0.2.0-1
* Release 0.2.0-1
	Retries exporter connections when lost
	Maintains export statistics per exporter
	Bug Fix for polling directory for IPFIX files
	Bug Fix for moving collector files

* Thu Dec 6 2012 Lawrence R. Rogers <lrr@cert.org> - 0.1.9-1
* Release 0.1.9-1
	Added Custom Field Lists for Text Exporters
	Bug Fix for reading from stdin
	Other Bug Fixes
